using System.Text.Json.Serialization;

namespace Adaptation.FileHandlers.json.WorkItems;

public class Relation
{

#nullable enable

    [JsonConstructor]
    public Relation(string rel,
                    string url,
                    Attribute attributes)
    {
        Rel = rel;
        URL = url;
        Attributes = attributes;
    }

    public string Rel { get; set; } // { init;  get; }
    public string URL { get; set; } // { init;  get; }
    public Attribute Attributes { get; set; } // { init;  get; }

}