using System.Text.Json.Serialization;

namespace Adaptation.FileHandlers.json.WorkItems;

public class CommentVersionRef
{
    [JsonConstructor]
    public CommentVersionRef(
        int commentId,
        int version,
        string url
    )
    {
        CommentId = commentId;
        Version = version;
        URL = url;
    }

    [JsonPropertyName("commentId")]
    public int CommentId { get; } // { init; get; }

    [JsonPropertyName("version")]
    public int Version { get; } // { init; get; }

    [JsonPropertyName("url")]
    public string URL { get; } // { init; get; }
}